Update a note
Update a note belonging to a contact.
curl --request PATCH \
--url https://api.slant.app/v1/contacts/{contact_id}/notes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": {
"content": "Important meeting notes from client discussion",
"pinned": false,
"tag_ids": [
"<string>"
],
"references": [
{
"id": "<string>"
}
]
}
}
'import requests
url = "https://api.slant.app/v1/contacts/{contact_id}/notes/{id}"
payload = { "note": {
"content": "Important meeting notes from client discussion",
"pinned": False,
"tag_ids": ["<string>"],
"references": [{ "id": "<string>" }]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: {
content: 'Important meeting notes from client discussion',
pinned: false,
tag_ids: ['<string>'],
references: [{id: '<string>'}]
}
})
};
fetch('https://api.slant.app/v1/contacts/{contact_id}/notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123xyz",
"content": "Meeting notes from client discussion",
"pinned": false,
"tag_ids": [
"<string>"
],
"references": [
{
"id": "<string>",
"type": "Business",
"label": "<string>"
}
],
"book_id": "book123xyz",
"notable_type": "<string>",
"notable_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"hidden": false,
"household_id": "household123xyz",
"created_by_id": "user123xyz"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.
Body
Show child attributes
Show child attributes
Response
note updated
The note ID
"abc123xyz"
The plaintext content of the note
"Meeting notes from client discussion"
Whether the note is pinned
false
The complete set of label IDs applied to the note
Records referenced by the note
Show child attributes
Show child attributes
The book ID
"book123xyz"
The type of record the note belongs to
The ID of the record the note belongs to
When the note was created
When the note was last updated
Whether the note is hidden
false
The household ID
"household123xyz"
The ID of the user who created the note
"user123xyz"
